PDNS_CONTROL(8)

NAME
pdns_control - Control the pDNS nameserver

SYNOPSIS
pdns_control [options] command

DESCRIPTION
pdns_control is used to send commands to a running pDNS nameserver.

OPTIONS
A summary of options is included below.

--help
    Show summary of options.

--chroot=...
    Where PowerDNS is chrooted

--config-dir=...
    Location of configuration directory (pdns.conf)

--config-name=...
    Name of this virtual configuration - will rename the binary image

--remote-address=...
    Remote address to query

--remote-port=...
    Remote port to query

--secret=...
    Secret needed to connect to remote PowerDNS

--socket-dir=...
    Where the controlsocket will live

COMMANDS

ccounts
    Show the content of the cache

notify <domain>
    Adds a domain to the notification list, causing PDNS to send out notifications to the nameservers of a domain. Can be used if a slave missed previous notifications or is generally hard of hearing.

notify-host <domain> <host>
    Same as above but with operator specified IP address as destination, to be used if you know better than PowerDNS.

cycle
    Restart the nameserver so it reloads its configuration.

ping
    Check if the server is alive.

purge [<record>]
    Purge entries from the packet cache. If the record name ends with a dollar ($) all entries that end with that name are removed. If no record is specified the entire cache is purged.

rediscover
    Instructs backends that new domains may have appeared in the database, or, in the case of the Bind backend, in named.conf.

retrieve <domain>
    Retrieve a slave domain from its master. Done nearly immediatly.

set <variable> <value>
    Set the configuration parameter <variable> to <value>. Currently only the query-logging can be set.

show <variable>
    Show a single statistic, as present in the output of the list command.

quit
    Tell a running pdns_server to quit.

status
    Show usage statistics.

uptime
    Show the uptime of the running server.

version
    Print the version of the running pdns daemon.

FILES

<socket>
    Control socket used to communicate with pdns_server.

SEE ALSO
pdns_server(8)